Subject: Re: Please pull from 'for-2.6.27'

From: Jochen Friedrich <[email-masked]>
Date: Thu, 25 Sep 2008 10:50:44 +0200

Hi Scott,

>> This isn't a regression since the stuff is new in 2.6.27. IMHO this can
>> wait until 2.6.28.
> 
> It would be a bug in 2.6.27 that did not exist in 2.6.26...  is there
> anything that used to use another mechanism that now uses this?

No, GPIO support on CPM1/CPM2 is new in 2.6.27. Before, dedicated platform 
drivers were needed to drive hardware connected to an GPIO pin.

> That's not to say that it's necessarily critical enough this late in the
> process, but in general I'm not very comfortable with not being able to
> fix newly added code as soon as the merge window closes because it's not
> a "regression".

If i understood Linus correctly, this fix will have to wait for 2.6.28, but
then it can also enter the 2.6.27 stable series (like 2.6.27.1).

Thanks,
Jochen